> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete links matching the provided criteria

> For the request body, an asterisk (*) can be used in place of an ID to indicate a wildcard



## OpenAPI

````yaml /api-reference/4.2/service-links.json delete /links
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service links
servers:
  - url: /api/apollo/
security: []
tags:
  - name: links
paths:
  /links:
    delete:
      tags:
        - 4.2 Links API
      summary: Delete links matching the provided criteria
      description: >-
        For the request body, an asterisk (*) can be used in place of an ID to
        indicate a wildcard
      operationId: deleteLink
      parameters:
        - name: subject
          in: query
          description: Delete only links with a matching subject
          required: false
          schema:
            type: string
        - name: object
          in: query
          description: Delete only links with a matching object
          required: false
          schema:
            type: string
        - name: linkType
          in: query
          description: Delete only links with a matching type
          required: false
          schema:
            type: string
      responses:
        default:
          description: successful operation

````